summaryrefslogtreecommitdiffstats
path: root/tests/test2.tst
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test2.tst')
-rw-r--r--tests/test2.tst14
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/test2.tst b/tests/test2.tst
new file mode 100644
index 0000000..0b68af6
--- /dev/null
+++ b/tests/test2.tst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+source ${CURDIR}/tests/functions
+
+#
+# test mock shell (interactive) and return code passing
+#
+header "testing interactive shell and return code"
+echo exit 5 | runcmd "$MOCKCMD --offline --shell"
+res=$?
+if [ $res -ne 5 ]; then
+ echo "'mock --chroot' return code not properly passed back: $res"
+ exit 1
+fi